#ifndef _Handle_PGeom2d_CartesianPoint_HeaderFile
#define _Handle_PGeom2d_CartesianPoint_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom2d_Point_HeaderFile
#include <Handle_PGeom2d_Point.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom2d_Point);
class PGeom2d_CartesianPoint;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom2d_CartesianPoint);

class Handle(PGeom2d_CartesianPoint) : public Handle(PGeom2d_Point) {
  public:

    Handle(PGeom2d_CartesianPoint)():Handle(PGeom2d_Point)() {} 
    Handle(PGeom2d_CartesianPoint)(const Handle(PGeom2d_CartesianPoint)& aHandle) : Handle(PGeom2d_Point)(aHandle) 
     {
     }

    Handle(PGeom2d_CartesianPoint)(const PGeom2d_CartesianPoint* anItem) : Handle(PGeom2d_Point)((PGeom2d_Point *)anItem) 
     {
     }

    Handle(PGeom2d_CartesianPoint)& operator=(const Handle(PGeom2d_CartesianPoint)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom2d_CartesianPoint)& operator=(const PGeom2d_CartesianPoint* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom2d_CartesianPoint* operator->() const 
     {
      return (PGeom2d_CartesianPoint *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom2d_CartesianPoint) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
